####################################################################
# Code to generate initial values for d[c,k]'s in inconsistency    #
# (unrelated mean effects) model.                                  #
####################################################################

nt<-58      # number of treatments

d=matrix(nrow=nt,ncol=nt)
for(i in 1:(nt-1)){
  for(j in (i+1):nt){
    d[i,j]<--1
  }
}

chain1.d<-as.vector(t(d))
dput(chain1.d)

d1=matrix(nrow=nt,ncol=nt)
for(i in 1:(nt-1)){
  for(j in (i+1):nt){
    d1[i,j]<-round(rnorm(1,0,1),2)
  }
}


chain2.d<-as.vector(t(d1))
dput(chain2.d)